Package: org.gradle.tooling.model.eclipse

## [Java] Interface EclipseSourceDirectory

- org.gradle.tooling.model.SourceDirectory

- All Superinterfaces:
    SourceDirectory

  A source directory in an Eclipse project.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getPath()` Returns the relative path for this source directory.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface SourceDirectory` | `getDirectory`

- - ### Method Detail

    - #### public String getPath()

      Returns the relative path for this source directory.

      Returns:
        The path for this source directory. Does not return null.